import 'package:equatable/equatable.dart';
import '../../../domain/models/login_request.dart';

abstract class LoginEvent extends Equatable {
  const LoginEvent();

  @override
  List<Object> get props => [];
}

class LoginSubmitted extends LoginEvent {
  final LoginRequest request;

  const LoginSubmitted(this.request);

  @override
  List<Object> get props => [request];
}

class LoginReset extends LoginEvent {
  const LoginReset();
}
